Office changes
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/officials/changes \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/officials/changes"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/officials/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/officials/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/officials/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/officials/changes")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/officials/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"bodyCodes": [
"US_EXECUTIVE"
],
"eras": [
{
"eraCode": "US_ADMIN_TRUMP_47",
"kind": "administration",
"label": "Trump administration",
"shortLabel": "Trump 47",
"leaderName": "Donald J. Trump",
"from": "2025-01-20",
"to": null,
"isCurrent": true,
"arrivals": 29,
"departures": 25,
"sourceUrl": "https://www.whitehouse.gov/administration/"
},
{
"eraCode": "US_ADMIN_BIDEN_46",
"kind": "administration",
"label": "Biden administration",
"shortLabel": "Biden",
"leaderName": "Joseph R. Biden Jr.",
"from": "2021-01-20",
"to": "2025-01-20",
"isCurrent": false,
"arrivals": 22,
"departures": 22,
"sourceUrl": "https://bidenwhitehouse.archives.gov/administration/"
}
],
"changes": [
{
"kind": "arrival",
"basis": "roster",
"at": "2026-08-10",
"atPrecision": "day",
"officeCode": "US_ATTORNEY_GENERAL",
"title": "Attorney General",
"orgName": "Department of Justice",
"personName": "Todd Blanche",
"personKey": "USGVP00004",
"photoUrl": "/api/v1/people/USGVP00004/photo",
"acting": false,
"nominatedOn": "2026-06-08",
"confirmedOn": "2026-08-08",
"citation": "PN1078",
"predecessorName": "Pamela Bondi",
"predecessorReason": null,
"successorName": null,
"departureReason": null,
"sourceUrl": "https://www.whitehouse.gov/administration/cabinet/",
"eraCode": "US_ADMIN_TRUMP_47"
},
{
"kind": "departure",
"basis": "roster",
"at": "2026-08-08",
"atPrecision": "day",
"officeCode": "US_ATTORNEY_GENERAL",
"title": "Attorney General",
"orgName": "Department of Justice",
"personName": "Pamela Bondi",
"personKey": "USGVP02787",
"photoUrl": "/api/v1/people/USGVP02787/photo",
"acting": false,
"nominatedOn": null,
"confirmedOn": null,
"citation": null,
"predecessorName": null,
"predecessorReason": null,
"successorName": "Todd Blanche",
"departureReason": null,
"sourceUrl": "https://www.congress.gov/nomination/119th-congress/11/2",
"eraCode": "US_ADMIN_TRUMP_47"
}
],
"pending": [],
"page": {
"total": 567,
"offset": 0,
"limit": 2,
"nextOffset": 2
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Macro
Office changes
Arrivals and departures in public office, by era (administration, or central-bank chair), with the seats awaiting confirmation.
GET
/
api
/
v1
/
countries
/
{iso}
/
officials
/
changes
Office changes
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/officials/changes \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/officials/changes"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/officials/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/officials/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/officials/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/officials/changes")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/officials/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iso2": "US",
"bodyCodes": [
"US_EXECUTIVE"
],
"eras": [
{
"eraCode": "US_ADMIN_TRUMP_47",
"kind": "administration",
"label": "Trump administration",
"shortLabel": "Trump 47",
"leaderName": "Donald J. Trump",
"from": "2025-01-20",
"to": null,
"isCurrent": true,
"arrivals": 29,
"departures": 25,
"sourceUrl": "https://www.whitehouse.gov/administration/"
},
{
"eraCode": "US_ADMIN_BIDEN_46",
"kind": "administration",
"label": "Biden administration",
"shortLabel": "Biden",
"leaderName": "Joseph R. Biden Jr.",
"from": "2021-01-20",
"to": "2025-01-20",
"isCurrent": false,
"arrivals": 22,
"departures": 22,
"sourceUrl": "https://bidenwhitehouse.archives.gov/administration/"
}
],
"changes": [
{
"kind": "arrival",
"basis": "roster",
"at": "2026-08-10",
"atPrecision": "day",
"officeCode": "US_ATTORNEY_GENERAL",
"title": "Attorney General",
"orgName": "Department of Justice",
"personName": "Todd Blanche",
"personKey": "USGVP00004",
"photoUrl": "/api/v1/people/USGVP00004/photo",
"acting": false,
"nominatedOn": "2026-06-08",
"confirmedOn": "2026-08-08",
"citation": "PN1078",
"predecessorName": "Pamela Bondi",
"predecessorReason": null,
"successorName": null,
"departureReason": null,
"sourceUrl": "https://www.whitehouse.gov/administration/cabinet/",
"eraCode": "US_ADMIN_TRUMP_47"
},
{
"kind": "departure",
"basis": "roster",
"at": "2026-08-08",
"atPrecision": "day",
"officeCode": "US_ATTORNEY_GENERAL",
"title": "Attorney General",
"orgName": "Department of Justice",
"personName": "Pamela Bondi",
"personKey": "USGVP02787",
"photoUrl": "/api/v1/people/USGVP02787/photo",
"acting": false,
"nominatedOn": null,
"confirmedOn": null,
"citation": null,
"predecessorName": null,
"predecessorReason": null,
"successorName": "Todd Blanche",
"departureReason": null,
"sourceUrl": "https://www.congress.gov/nomination/119th-congress/11/2",
"eraCode": "US_ADMIN_TRUMP_47"
}
],
"pending": [],
"page": {
"total": 567,
"offset": 0,
"limit": 2,
"nextOffset": 2
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
ISO 3166-1 alpha-2 country code (e.g. US).
Query Parameters
Which bodies. Default government.
Available options:
government, central_bank Changes effective on or after, YYYY-MM-DD.
Changes effective on or before, YYYY-MM-DD.
One era code.
Arrivals or departures.
Available options:
arrival, departure Words in the name, title or office.
Page size, 1–200, default 50.
Required range:
1 <= x <= 200Rows to skip, default 0.
Required range:
x >= 0